uuid: 5d1b024b-c4fd-4377-ba25-9f905b8748bc
langcode: en
status: true
dependencies:
  module:
    - views_aggregator
id: va_fixture_table
label: va_fixture_table
module: views
description: ''
tag: ''
base_table: views_test_data
base_field: nid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      fields:
        id:
          id: id
          table: views_test_data
          field: id
          relationship: none
          plugin_id: numeric
        age:
          id: age
          table: views_test_data
          field: age
          relationship: none
          plugin_id: numeric
        name:
          id: name
          table: views_test_data
          field: name
          relationship: none
          plugin_id: string
        job:
          id: job
          table: views_test_data
          field: job
          relationship: none
          plugin_id: string
        job_1:
          id: job_1
          table: views_test_data
          field: job
          relationship: none
          plugin_id: string
      pager:
        type: none
        options:
          offset: 0
      empty:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          label: ''
          empty: true
          content: 'custom text'
          tokenize: false
      sorts:
        id:
          id: id
          table: views_test_data
          field: id
          relationship: none
          plugin_id: numeric
          order: ASC
      style:
        type: views_aggregator_plugin_style_table
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          columns:
            id: id
            age: age
            name: name
            job: job
            job_1: job_1
          default: id
          info:
            id:
              sortable: true
              default_sort_order: desc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
              has_aggr: false
              aggr:
                views_aggregator_first: views_aggregator_first
              aggr_par: ''
              has_aggr_column: true
              aggr_column: views_aggregator_replace
              aggr_par_column: TOTAL
            age:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
              has_aggr: false
              aggr:
                views_aggregator_first: views_aggregator_first
              aggr_par: ''
              has_aggr_column: true
              aggr_column: views_aggregator_sum
              aggr_par_column: ''
            name:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
              has_aggr: false
              aggr:
                views_aggregator_first: views_aggregator_first
              aggr_par: ''
              has_aggr_column: false
              aggr_column: views_aggregator_sum
              aggr_par_column: ''
            job:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
              has_aggr: false
              aggr:
                views_aggregator_first: views_aggregator_first
              aggr_par: ''
              has_aggr_column: false
              aggr_column: views_aggregator_sum
              aggr_par_column: ''
            job_1:
              sortable: true
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: true
              responsive: ''
              has_aggr: false
              aggr:
                views_aggregator_first: views_aggregator_first
              aggr_par: ''
              has_aggr_column: false
              aggr_column: views_aggregator_count
              aggr_par_column: ''
          override: true
          sticky: false
          summary: summary-text
          empty_table: true
          caption: caption-text
          description: description-text
          group_aggregation:
            group_aggregation_results: '1'
          column_aggregation:
            totals_row_position:
              1: 1
              2: 2
            totals_per_page: '1'
            precision: '2'
            totals_row_class: va-totals-test-class
      row:
        type: fields
      defaults:
        pager: false
        fields: false
        sorts: false
  page_1:
    id: page_1
    display_title: 'Page display'
    display_plugin: page
    position: 1
    display_options:
      path: va-test-style-table
  page_1_no_pager:
    id: page_1_no_pager
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      pager:
        type: none
        options:
          offset: 0
      defaults:
        pager: false
      path: va-test-style-table-no-pager
